org.apache.coyote.http2

## Class ConnectionSettingsRemote

- java.lang.Object
- - org.apache.coyote.http2.ConnectionSettingsBase<ConnectionException>
  - - org.apache.coyote.http2.ConnectionSettingsRemote

-     public class ConnectionSettingsRemote
      extends ConnectionSettingsBase<ConnectionException>

  Represents the remote connection settings: i.e. the settings the server must use when communicating with the client.

- - ### Field Summary

    - ### Fields inherited from class org.apache.coyote.http2.ConnectionSettingsBase

      `current, DEFAULT_ENABLE_PUSH, DEFAULT_HEADER_TABLE_SIZE, DEFAULT_INITIAL_WINDOW_SIZE, DEFAULT_MAX_CONCURRENT_STREAMS, DEFAULT_MAX_FRAME_SIZE, DEFAULT_MAX_HEADER_LIST_SIZE, MAX_HEADER_TABLE_SIZE, MAX_MAX_FRAME_SIZE, MAX_WINDOW_SIZE, MIN_MAX_FRAME_SIZE, pending, UNLIMITED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionSettingsRemote(String connectionId)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.coyote.http2.ConnectionSettingsBase

      `getEnablePush, getHeaderTableSize, getInitialWindowSize, getMaxConcurrentStreams, getMaxFrameSize, getMaxHeaderListSize, set`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionSettingsRemote

          public ConnectionSettingsRemote(String connectionId)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.